Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.reflect.impl.java
Class JavaClassInfoRepository

    java.lang.Object
      org.codehaus.aspectwerkz.reflect.impl.java.JavaClassInfoRepository

    public class JavaClassInfoRepository

extends Object

A repository for the class info hierarchy. Is class loader aware.

TODO refactor some with ASMClassInfoRepository but keep em separate for system runtime sake in AOPC (WLS)

Author:
  Jonas Bonr

Method Summary
`void` | `addClassInfo(ClassInfo classInfo)` Adds a new class info.
`ClassInfo` | `checkParentClassRepository(String className, ClassLoader loader)` Searches for a class info up in the class loader hierarchy.
`ClassInfo` | `getClassInfo(String className)` Returns the class info.
`static JavaClassInfoRepository` | `getRepository(ClassLoader loader)` Returns the class info repository for the specific class loader
`boolean` | `hasClassInfo(String name)` Checks if the class info for a specific class exists.
`static void` | `removeClassInfoFromAllClassLoaders(String className)` Remove a class from the repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRepository

    public static JavaClassInfoRepository getRepository(ClassLoader loader)

  Returns the class info repository for the specific class loader

  Parameters:
    `loader` -
  Returns:

### removeClassInfoFromAllClassLoaders

    public static void removeClassInfoFromAllClassLoaders(String className)

  Remove a class from the repository.

  Parameters:
    `className` - the name of the class

### getClassInfo

    public ClassInfo getClassInfo(String className)

  Returns the class info.

  Parameters:
    `className` -
  Returns:

### addClassInfo

    public void addClassInfo(ClassInfo classInfo)

  Adds a new class info.

  Parameters:
    `classInfo` -

### hasClassInfo

    public boolean hasClassInfo(String name)

  Checks if the class info for a specific class exists.

  Parameters:
    `name` -
  Returns:

### checkParentClassRepository

    public ClassInfo checkParentClassRepository(String className,
                                                ClassLoader loader)

  Searches for a class info up in the class loader hierarchy.

  Parameters:
    `className` -
    `loader` -
  Returns:
    the class info

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.